Debian Bug report logs - #387063
uninstallable because of binNMU-unsafe dependency on xchat-common

version graph

Package: xchat; Maintainer for xchat is Davide Puricelli (evo) <evo@debian.org>; Source for xchat is src:xchat.

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Tue, 12 Sep 2006 00:48:01 UTC

Severity: grave

Tags: fixed, patch

Found in version xchat/2.6.4-2

Fixed in version 2.6.4-2.1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, Davide Puricelli (evo) <evo@debian.org>:
Bug#387063; Package xchat. Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, Davide Puricelli (evo) <evo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: binNMU-unsafe dependency on xchat-common
Date: Mon, 11 Sep 2006 20:13:37 -0400
Package: xchat
Version: 2.6.4-2
Severity: grave
Justification: renders package unusable

xchat depends on having an identical version of xchat-common, which is
fine for regular uploads but breaks on binary-only NMUs, such as the one
that just happened for the libdbus-1-3 transition.  To correct this,
please build-depend on dpkg-dev (>= 1.13.19) and change the dependency
on xchat-common from (= ${Source-Version}) to (= ${source:Version}).

Thanks!

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xchat depends on:
ii  libaspell15                 0.60.4-4     GNU Aspell spell-checker runtime l
ii  libatk1.0-0                 1.12.2-1     The ATK accessibility toolkit
ii  libc6                       2.3.6.ds1-4  GNU C Library: Shared libraries
ii  libcairo2                   1.2.4-1      The Cairo 2D vector graphics libra
ii  libdbus-1-2                 0.62-4       simple interprocess messaging syst
ii  libdbus-glib-1-2            0.71-2       simple interprocess messaging syst
ii  libfontconfig1              2.3.2-7      generic font configuration library
ii  libfreetype6                2.2.1-4      FreeType 2 font engine, shared lib
ii  libglib2.0-0                2.10.3-3     The GLib library of C routines
ii  libgtk2.0-0                 2.8.20-1     The GTK+ graphical user interface 
ii  libgtkspell0                2.0.10-3+b1  a spell-checking addon for GTK's T
ii  libpango1.0-0               1.12.3-2     Layout and rendering of internatio
ii  libperl5.8                  5.8.8-6.1    Shared Perl library
ii  libpng12-0                  1.2.8rel-5.2 PNG library - runtime
ii  libssl0.9.8                 0.9.8b-3     SSL shared libraries
ii  libx11-6                    2:1.0.0-8    X11 client-side library
ii  libxcursor1                 1.1.7-4      X cursor management library
ii  libxext6                    1:1.0.1-2    X11 miscellaneous extension librar
ii  libxfixes3                  1:3.0.1.2-4  X11 miscellaneous 'fixes' extensio
ii  libxi6                      1:1.0.1-3    X11 Input extension library
ii  libxinerama1                1:1.0.1-4.1  X11 Xinerama extension library
ii  libxrandr2                  2:1.1.0.2-4  X11 RandR extension library
ii  libxrender1                 1:0.9.1-3    X Rendering Extension client libra
ii  python2.4                   2.4.3-8      An interactive high-level object-o
ii  tcl8.4                      8.4.12-1.1   Tcl (the Tool Command Language) v8
ii  xchat-common                2.6.4-2      Common files for X-Chat
ii  zlib1g                      1:1.2.3-13   compression library - runtime

xchat recommends no packages.

-- no debconf information



Changed Bug title. Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Davide Puricelli (evo) <evo@debian.org>:
Bug#387063; Package xchat. Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Copy sent to Davide Puricelli (evo) <evo@debian.org>. Full text and rfc822 format available.

Message #14 received at 387063@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: 387063@bugs.debian.org
Cc: control@bugs.debian.org
Subject: #387063 uninstallable because of binNMU-unsafe dependency on xchat-common
Date: Sat, 16 Sep 2006 11:35:58 +0200
[Message part 1 (text/plain, inline)]
tag 387063 + patch
thanks

Hello,

Aaron already gave the solution, so tagging it with patch.
Will there be fixing upload in the next days?
Or should we NMU this during our BSP today or tomorrow?

-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Davide Puricelli (evo) <evo@debian.org>:
Bug#387063; Package xchat. Full text and rfc822 format available.

Acknowledgement sent to "Guilherme de S. Pastore" <gpastore@debian.org>:
Extra info received and forwarded to list. Copy sent to Davide Puricelli (evo) <evo@debian.org>. Full text and rfc822 format available.

Message #19 received at 387063@bugs.debian.org (full text, mbox):

From: "Guilherme de S. Pastore" <gpastore@debian.org>
To: 387063@bugs.debian.org
Cc: noel@debian.org, ucko@debian.org
Subject: Fix uploaded to delayed
Date: Sat, 16 Sep 2006 11:53:21 -0300
A non-maintainer upload with the following patch has been uploaded to
DELAYED-2 (as per the requirement of the bug being filed for 7 days of
the 0-day NMU policy):

--- xchat-2.6.4/debian/changelog        2006-09-16 11:49:12.000000000 -0300
+++ xchat-2.6.4.new/debian/changelog    2006-09-16 11:48:46.386168750 -0300
@@ -1,3 +1,13 @@
+xchat (2.6.4-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Sourceful upload to make this installable again (Closes: #387063)
+  * debian/control:
+    - build-depend on dpkg-dev >= 1.13.19
+    - make xchat depend on xchat-common (= ${source:Version})
+
+ -- Guilherme de S. Pastore <gpastore@debian.org>  Sat, 16 Sep 2006 11:48:39 -0 300
+
 xchat (2.6.4-2) unstable; urgency=low

   * The "End of a nightmare" release.
--- xchat-2.6.4/debian/control  2006-09-16 11:49:12.000000000 -0300
+++ xchat-2.6.4.new/debian/control      2006-09-16 11:48:52.134528000 -0300
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Davide Puricelli (evo) <evo@debian.org>
 Standards-Version: 3.6.2
-Build-Depends: debhelper (>> 4), bison, libssl-dev, libglib2.0-dev, libgtk2.0-d ev (>= 2.0.6-1), libperl-dev, gettext (>= 0.10.37-1), libtool, zlib1g-dev, perl (>= 5.8), python2.4-dev, tcl8.4-dev, autotools-dev, dpatch, libdbus-glib-1-dev, libgtkspell-dev, gconf2
+Build-Depends: debhelper (>> 4), bison, libssl-dev, libglib2.0-dev, libgtk2.0-d ev (>= 2.0.6-1), libperl-dev, gettext (>= 0.10.37-1), libtool, zlib1g-dev, perl (>= 5.8), python2.4-dev, tcl8.4-dev, autotools-dev, dpatch, libdbus-glib-1-dev, libgtkspell-dev, gconf2, dpkg-dev (>= 1.13.19)

 Package: xchat
 Architecture: any
 Provides: irc
 Replaces: xchat-gnome (<< 1:0.11-1), xchat-common (<< 1.6.0-1)
-Depends: ${shlibs:Depends}, xchat-common (= ${Source-Version})
+Depends: ${shlibs:Depends}, xchat-common (= ${source:Version})
 Suggests: libnet-google-perl
 Conflicts: xchat-gnome (<< 1:0.11-1)
 Description: IRC client for X similar to AmIRC





Information forwarded to debian-bugs-dist@lists.debian.org, Davide Puricelli (evo) <evo@debian.org>:
Bug#387063; Package xchat. Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Copy sent to Davide Puricelli (evo) <evo@debian.org>. Full text and rfc822 format available.

Message #24 received at 387063@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: "Guilherme de S. Pastore" <gpastore@debian.org>
Cc: 387063@bugs.debian.org, ucko@debian.org
Subject: Re: Fix uploaded to delayed
Date: Sat, 16 Sep 2006 18:56:00 +0200
[Message part 1 (text/plain, inline)]
Am Samstag, den 16.09.2006, 11:53 -0300 schrieb Guilherme de S. Pastore:
> A non-maintainer upload with the following patch has been uploaded to
> DELAYED-2 (as per the requirement of the bug being filed for 7 days of
> the 0-day NMU policy):

:))
Luk uploaded a NMU too but in the delay4 queue.:)
http://people.debian.org/~djpig/delayed.html

-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 2.6.4-2.1, send any further explanations to "Aaron M. Ucko" <ucko@debian.org> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to "Aaron M. Ucko" <ucko@debian.org>:
Bug#387063. Full text and rfc822 format available.

Message #31 received at 387063-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 386081-submitter@bugs.debian.org, 386185-submitter@bugs.debian.org, 386201-submitter@bugs.debian.org, 386202-submitter@bugs.debian.org, 386222-submitter@bugs.debian.org, 386223-submitter@bugs.debian.org, 386229-submitter@bugs.debian.org, 386267-submitter@bugs.debian.org, 386305-submitter@bugs.debian.org, 386319-submitter@bugs.debian.org, 386491-submitter@bugs.debian.org, 386620-submitter@bugs.debian.org, 386707-submitter@bugs.debian.org, 386719-submitter@bugs.debian.org, 386829-submitter@bugs.debian.org, 386833-submitter@bugs.debian.org, 386902-submitter@bugs.debian.org, 387063-submitter@bugs.debian.org, 387094-submitter@bugs.debian.org, 387133-submitter@bugs.debian.org, 387220-submitter@bugs.debian.org, 387433-submitter@bugs.debian.org, 387972-submitter@bugs.debian.org, 387974-submitter@bugs.debian.org, 387983-submitter@bugs.debian.org, 388026-submitter@bugs.debian.org, 388082-submitter@bugs.debian.org, 388193-submitter@bugs.debian.org, 388314-submitter@bugs.debian.org, 388535-submitter@bugs.debian.org, 388605-submitter@bugs.debian.org, 388609-submitter@bugs.debian.org, 388661-submitter@bugs.debian.org, 388831-submitter@bugs.debian.org, 389171-submitter@bugs.debian.org, 389233-submitter@bugs.debian.org, 389246-submitter@bugs.debian.org, 389304-submitter@bugs.debian.org, 389350-submitter@bugs.debian.org, 389352-submitter@bugs.debian.org, 389375-submitter@bugs.debian.org, 389377-submitter@bugs.debian.org, 389387-submitter@bugs.debian.org, 389391-submitter@bugs.debian.org, 389458-submitter@bugs.debian.org, 389560-submitter@bugs.debian.org, 389609-submitter@bugs.debian.org, 389639-submitter@bugs.debian.org, 389640-submitter@bugs.debian.org, 389696-submitter@bugs.debian.org, 389760-submitter@bugs.debian.org, 389769-submitter@bugs.debian.org, 389965-submitter@bugs.debian.org, 389968-submitter@bugs.debian.org, 390008-submitter@bugs.debian.org, 390276-submitter@bugs.debian.org, 390304-submitter@bugs.debian.org, 390384-submitter@bugs.debian.org, 390390-submitter@bugs.debian.org, 390403-submitter@bugs.debian.org, 390416-submitter@bugs.debian.org, 390467-submitter@bugs.debian.org, 390560-submitter@bugs.debian.org, 390657-submitter@bugs.debian.org, 390666-submitter@bugs.debian.org, 390671-submitter@bugs.debian.org, 390969-submitter@bugs.debian.org, 391025-submitter@bugs.debian.org, 391157-submitter@bugs.debian.org, 391181-submitter@bugs.debian.org, 391190-submitter@bugs.debian.org, 391199-submitter@bugs.debian.org, 391201-submitter@bugs.debian.org, 391206-submitter@bugs.debian.org, 391208-submitter@bugs.debian.org, 391237-submitter@bugs.debian.org, 391257-submitter@bugs.debian.org, 391266-submitter@bugs.debian.org, 391291-submitter@bugs.debian.org, 391391-submitter@bugs.debian.org, 391465-submitter@bugs.debian.org, 391566-submitter@bugs.debian.org, 391601-submitter@bugs.debian.org, 391695-submitter@bugs.debian.org, 391696-submitter@bugs.debian.org, 391697-submitter@bugs.debian.org, 391749-submitter@bugs.debian.org, 391750-submitter@bugs.debian.org, 391752-submitter@bugs.debian.org, 391754-submitter@bugs.debian.org, 391755-submitter@bugs.debian.org, 391760-submitter@bugs.debian.org, 391766-submitter@bugs.debian.org, 391767-submitter@bugs.debian.org, 391782-submitter@bugs.debian.org, 391791-submitter@bugs.debian.org, 391808-submitter@bugs.debian.org, 391846-submitter@bugs.debian.org, 391848-submitter@bugs.debian.org, 392053-submitter@bugs.debian.org, 392154-submitter@bugs.debian.org, 392164-submitter@bugs.debian.org, 392166-submitter@bugs.debian.org, 392318-submitter@bugs.debian.org, 392422-submitter@bugs.debian.org, 392730-submitter@bugs.debian.org, 392734-submitter@bugs.debian.org, 392850-submitter@bugs.debian.org, 392855-submitter@bugs.debian.org, 393012-submitter@bugs.debian.org, 393044-submitter@bugs.debian.org, 393051-submitter@bugs.debian.org, 393388-submitter@bugs.debian.org, 393449-submitter@bugs.debian.org, 393726-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sat, 21 Oct 2006 23:44:56 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 386081 0.99.10-1.1
close 386185 6.5.0.cvs.20060524-1.1
close 386201 2.0.14-0.1
close 386202 2.0.14-0.1
close 386222 0.13.alfa.8-3.1
close 386223 0.13-13.2
close 386229 0.35-6.1
close 386267 2.0.5-1.1
close 386305 0.0.26-5.1
close 386319 1.2.0-3.2
close 386491 1.1-2.1
close 386620 0.3.8-5.1
close 386707 20060907.1
close 386719 2.0.5-1.1
close 386829 0.65.1
close 386833 0.15-1.2
close 386902 2.2.3-1.2
close 387063 2.6.4-2.1
close 387094 2.2.3-1.3
close 387133 2:1.0.0-9
close 387220 0.65.1
close 387433 1.3-1.2
close 387972 0.0.20060309-5.1
close 387974 0.0.20060309-5.1
close 387983 2:0.92-3.1
close 388026 2.8.5-1.2
close 388082 0.0.20060309-5.1
close 388314 1:0.3.7-3.1
close 388535 1.4.3.dfsg-1.2
close 388605 1.0.2-0.1
close 388609 0.3.7-4.2
close 388661 0.15-16.1
close 389171 1.23-1.1
close 389233 1.99.beta2.1
close 389246 2.7.7-12.1
close 389304 3.2.3-1.1
close 389350 2.0.4-2.1
close 389352 3.3.0-5.4
close 389375 2.4.0-4.2
close 389377 1.0.4-1.2
close 389387 2.6.2-24.1
close 389391 0.3.8-1.2
close 389458 0.35-6.1
close 389560 2:0.92-3.1
close 389609 1.2.4par-0.2
close 389639 1.1.1-0.2
close 389640 0.3.7-4.2
close 389696 0.6-2.1
close 389760 1.1.0+1.1.1-a021-1.1
close 389769 3.0.8-0.2
close 389965 4.4rc.2-3.1
close 389968 4.51.5-1.1
close 390008 0.9.6-1.1
close 390276 2.13~beta3-0.1
close 390304 0.2.0-1
close 390384 0.12-5.1
close 390390 2.8.8-1.1
close 390403 0.0.20040112.dfsg-0.2
close 390467 1.0.0-1.1
close 390560 6.5.1-0.2
close 390657 1.0+dfsg0-0.1
close 390666 0.4.5+dfsg0-0.1
close 390671 3.13-7.1
close 390969 0.2-2.2
close 391025 1.1.2-1.1
close 391157 2.2.0-3.1
close 391181 2.0.10.1.1
close 391190 0.09-1.1
close 391199 0.84-6.1
close 391201 1.0.1-2.1
close 391206 2003.00.00-2.1
close 391208 0.7-9.1
close 391237 5.6.3-2.1
close 391257 0.20.1-1.1
close 391266 1.5.12.1-19.1
close 391291 0.0.20060309-5.2
close 391391 0.12-2.2
close 391465 2.0-8.1
close 391566 1:1.6.1-7.1
close 391601 3:20020927-3.1
close 391695 0.4.6-0.1
close 391696 1:3.9.20060704-2.1
close 391697 2.0-6.1
close 391749 1.0-1.1
close 391750 2.0.2-2.2
close 391752 1.1.1-6.1
close 391754 4.4rc.2-3.1
close 391755 1.1.4-3.1
close 391760 4.996-5.0-rc7-1.1
close 391767 2.0.48-4-2.2
close 391782 0.4-1.1
close 391791 1.2.6-1.1
close 391808 3.5-1.2
close 391848 0.2.7.1-1.1
close 392053 0.5.0-1.4
close 392154 3.06.dfsg.1-0.1
close 392164 0.31-5.1
close 392166 1.2
close 392318 1.5.1.dfsg-2.1
close 392422 0.2.0-1
close 392730 0.4.6-0.2
close 392855 1.4.29-1
close 393012 0.4-1.1
close 393044 5.4.2-1.1
close 393051 1.9~b3-1
close 393388 0.4.5+dfsg0-0.1
close 393726 1.71.0.dfsg.1-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 04:51:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:58:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.